Đến nội dung


Hình ảnh
- - - - -

Giúp mình làm đoạn lisp này với


  • Please log in to reply
7 replies to this topic

#1 ramborock

ramborock

    biết vẽ arc

  • Members
  • PipPip
  • 40 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 03 June 2012 - 07:35 PM

Các bạn giúp mình làm đoạn lisp này với:
Tao text:
-Text name: ROMANS
-Height: 200
-Width factor: 0.85
-Layer text: Text200
-Text color: green
Chạy lisp:
-Kiểm tra file đã có kiểu text này hay chưa
-Nếu có rồi thì nhập đoạn văn bản "ROMANS" vào model và set đoạn văn bản này về kiểu text trên.
-Nếu chưa có thì tạo kiểu text trên sau đó cũng nhập vào đoạn văn bản "ROMANS" vào model và set đoạn văn về đúng kiểu text vừa tạo.
Thanks các bạn trước.
  • 0

#2 mathan

mathan

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 03 June 2012 - 08:28 PM

Mình hơi tò mò về mục đích của bạn nhưng cũng k sao
Bạn thử cái này của mình xem sao

;Free lisp code from CADViet
(defun C:ROMANS (/ diem)
(command "TILEMODE" "1" "")
(command "-style" "ROMANS" "ROMANS" "200" "1" "0" "N" "N" "N" "")
(setq diem (getpoint "\nChon diem dat text... "))
(command "TEXT" diem "0" "ROMANS")
(princ)
)

Lệnh ROMANS - Hơi dài một chút bạn có thể sửa lại theo ý sau
Trong code này k kiểm tra đã tồn tại style này chưa, mà tự động tạo style mới, nếu có sẽ trùng vào cũng k sao cả
  • 1
-----------
Hình đã gửi Hãy chia sẻ để thấy có được nhiều hơn điều mình muốn!
Best regard,

#3 ramborock

ramborock

    biết vẽ arc

  • Members
  • PipPip
  • 40 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 03 June 2012 - 08:56 PM

Thanks Mathan, tuy nhiên khi minh load file lisp thi nó tự động thực hiện lệnh luôn, chẳng hiểu nữa, vả lại còn đoạn set layer nữa, bạn viết đủ giùm mình được ko?
  • 0

#4 mathan

mathan

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 03 June 2012 - 09:07 PM

Cụ thể hơn đi bạn ơi. Set layer gì?
Bạn cứ trình bày cụ thể nhé.
Mà trên diễn đàn có nhiều bài về layer rùi.
Bạn chịu khó kiếm coi, nếu chưa đúng ý bạn muốn thì bạn trình bày để xem mình có giúp được j k
  • 0
-----------
Hình đã gửi Hãy chia sẻ để thấy có được nhiều hơn điều mình muốn!
Best regard,

#5 ramborock

ramborock

    biết vẽ arc

  • Members
  • PipPip
  • 40 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 03 June 2012 - 09:12 PM

Ý của mình như sau:
Sau khi tạo được kiểu text rồi và xuất được chữ ROMANS, sau đó lại set layer mới có tên là Text200, màu Green và gán layer này cho chữ ROMANS vừa tạo.
Mục đích của mình là dùng lệnh cho nhanh, mỗi lần mở bản vẽ mới làm việc là phải set up lại từ đầu, mệt lắm.
  • 0

#6 mathan

mathan

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 57 (tàm tạm)

Đã gửi 03 June 2012 - 09:31 PM

Vẫn như trên nhé, mình thêm mấy dòng về món layer nữa cho bạn

;Free lisp code from CADViet
(defun C:ROMANS (/ diem)
(command "TILEMODE" "1" "")
(command "-style" "ROMANS" "ROMANS" "200" "1" "0" "N" "N" "N" "")
(setq diem (getpoint "\nChon diem dat text... "))
(command "TEXT" diem "0" "ROMANS")
(command "-LAYER" "NEW" "TEXT200" ^C)
(command "-LAYER" "SET" "TEXT200" ^C)
(command "-LAYER" "COLOR" "3" "TEXT200" ^C)
(princ)
)

  • 1
-----------
Hình đã gửi Hãy chia sẻ để thấy có được nhiều hơn điều mình muốn!
Best regard,

#7 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 03 June 2012 - 09:54 PM

Cảm ơn mathan về những lisp bạn bắt đầu đóng góp cho diễn đàn :x. Chúc bạn sớm thành 1 cây đại thụ

P/s :tuy nhiên những topic không đúng nội quy của box mong mọi người không trả lời, vì sớm muộn nó cũng bị dọn, như vậy phí công lắm, lại loãng box :(

@Op : Bạn chú ý đọc nội quy box autolisp. Có link ở chữ ký của mình
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#8 ramborock

ramborock

    biết vẽ arc

  • Members
  • PipPip
  • 40 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 03 June 2012 - 10:21 PM

thanks ketxu đã nhắc nhở, mình sẽ xem kỹ lại nội quy.
  • 0